Unity does not update when screen resolution changes

Bug #684539 reported by Connor Carney on 2010-12-03
78
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Critical
Neil J. Patel
unity (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: unity

When changing the screen resolution via gnome-display-properties, the unity launcher does not draw at the new screen size. If I change to a smaller display size, only the bottom portion of the launcher is shown. If I change to a larger display size, the launcher only displays in the bottom-left corner of the screen, and the entire display above above the top of the launcher is corrupted. The problem persists until I restart compiz. The launcher responds to clicks as if it had resized correctly.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.2-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.37-5.14-generic-pae 2.6.37-rc2
Uname: Linux 2.6.37-5-generic-pae i686
Architecture: i386
CompizPlugins: [shift,wobbly]
Date: Thu Dec 2 18:49:59 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
MachineType: Hewlett-Packard HP Pavilion dv4 Notebook PC
PciDisplay: 01:05.0 VGA compatible controller [0300]: ATI Technologies Inc M880G [Mobility Radeon HD 4200] [1002:9712] (prog-if 00 [VGA controller])
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-5-generic-pae root=UUID=0c0a8a91-bb82-456a-9ff1-9bdf26cffa6c ro quiet splash
ProcVersionSignature_: Ubuntu 2.6.37-5.14-generic-pae 2.6.37-rc2
RelatedPackageVersions:
 xserver-xorg 1:7.5+6ubuntu3b1
 libgl1-mesa-glx 7.9+repack-1ubuntu2
 libdrm2 2.4.22-2ubuntu1
 xserver-xorg-video-intel 2:2.13.901-2ubuntu1
 xserver-xorg-video-ati 1:6.13.2-1ubuntu2
SourcePackage: unity
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
dmi.bios.date: 12/03/2009
dmi.bios.vendor: Insyde
dmi.bios.version: F.16
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 3642
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 40.23
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnInsyde:bvrF.16:bd12/03/2009:svnHewlett-Packard:pnHPPaviliondv4NotebookPC:pvr049D210000241210000020000:rvnHewlett-Packard:rn3642:rvr40.23:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: HP Pavilion dv4 Notebook PC
dmi.product.version: 049D210000241210000020000
dmi.sys.vendor: Hewlett-Packard
system: distro = Ubuntu, architecture = i686, kernel = 2.6.37-5-generic-pae

Connor Carney (cscarney) wrote :
description: updated
Didier Roche (didrocks) on 2010-12-03
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in unity:
status: New → Triaged
importance: Undecided → High
Neil J. Patel (njpatel) on 2010-12-07
Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
milestone: none → 3.2.8
Neil J. Patel (njpatel) on 2010-12-17
Changed in unity:
milestone: 3.2.8 → 3.2.12
Neil J. Patel (njpatel) on 2011-01-18
Changed in unity:
importance: High → Critical
milestone: 3.2.12 → 3.2.16
Siegie (siegie) wrote :

I've also made a screenshot from the problem
http://img17.imageshack.us/i/schermafdrukv.png/

Neil J. Patel (njpatel) on 2011-01-27
Changed in unity:
milestone: 3.2.16 → 3.4
Neil J. Patel (njpatel) on 2011-02-07
Changed in unity:
milestone: 3.4 → 3.4.6
Didier Roche (didrocks) on 2011-02-24
Changed in unity:
milestone: 3.4.6 → 3.6
Neil J. Patel (njpatel) wrote :

Added some more checks and fixes.

Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-01
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.0-0ubuntu1

---------------
unity (3.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Menu bar becomes blank periodically (LP: #683065)
    - Unity does not update when screen resolution changes (LP: #684539)
    - [dash] Keyboard navigation not implemented as specified (LP: #608132)
    - Dash - build the Desktop Dash (LP: #683719)
    - Quicklists not working (LP: #719780)
    - Launcher auto hide animation has a life of it's own / Unity launcher
      constantly sliding in and out without user interaction (LP: #717364)
    - compiz crashed with SIGSEGV in PrivateWindow::getModalTransient()
      (LP: #726235)
    - Don't show launcher number overlays on tap of super (LP: #726630)
    - Optimize texture memory usage for unexposed view icons (LP: #609994)
    - Unity should handle video-out keycodes that correspond to Super + P +
      Enter (LP: #632632)
    - dash - wrong count of remaining items to see (LP: #662605)
    - dash - x search box button visibility (LP: #662614)
    - Touch window management gesture previews (LP: #683688)
    - unity not working on rotated displays (LP: #694596)
    - unity main top bar in displays in wrong area (multi-head issue)
      (LP: #707209)
    - unity place group visual improvements (LP: #714528)
    - Implement ref_state_set for toplevel ATK objects in the panel service
      (LP: #715299)
    - Alt + F1 doesn't show the launcher if hidden (LP: #717125)
    - Keyboard navigation: Choosing a window from launcher doesn't change
      input focus. (LP: #721811)
    - Quicklists not closing when losing focus (LP: #724739)
    - wrong animation in the launcher (LP: #724956)
    - Window management - windows go below launcher and panel (LP: #725463)
    - Media and PrintScreen keys don't work (LP: #621887)
    - super-shortcuts should be "serializable" (LP: #638936)
    - Chromium icon in Unity is distorted / some scaled distored in the unity
      place applications (LP: #670169)
    - launcher stays on screen when it shouldn't | false show/hide positives
      on the launcher (LP: #711176)
    - Keyboard navigation: no public API to know the current Laucher Icon
      selected when key nav is activated (LP: #722660)
    - Require to implement AtkSelection on the Launcher (LP: #723804)
    - LauncherIcon accessibility support requires to expose the selection
      state (LP: #723806)
    - Add keyboard shortcuts for launching separate instances of applications
      (LP: #724865)
  * debian/control:
    - dep on latest nux
 -- Didier Roche <email address hidden> Tue, 01 Mar 2011 14:27:16 +0100

Changed in unity (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers